__list_for_each
Prev | Doubly Linked Lists | Next

## Name

__list_for_each — iterate over a list

## Synopsis

`__list_for_each (` |  | pos,
|  | head`)`;

## Arguments

`pos`

  the struct list_head to use as a loop cursor.

`head`

  the head for your list.

## Description

This variant differs from `list_for_each` in that it's the simplest possible list iteration code, no prefetching is done. Use this for code that knows the list to be very short (empty or 1 entry) most of the time.

Prev | Up | Next
list_for_each | Home | list_for_each_prev